> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attention.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Signed Upload Conversation URL

> Generate a signed URL for uploading a conversation file



## OpenAPI

````yaml /api-reference/openapi.json get /conversations/upload-url
openapi: 3.0.1
info:
  title: Attention Service V2
  description: Attention Service API V2
  termsOfService: https://www.attention.com/terms-of-use
  contact:
    name: Attention Team
    url: https://docs.attention.com/welcome
    email: support@attention.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.8.0
servers:
  - url: https://api.attention.tech/v2
security:
  - APIKeyHeader: []
paths:
  /conversations/upload-url:
    get:
      tags:
        - Conversation
      summary: Get Signed Upload Conversation URL
      description: Generate a signed URL for uploading a conversation file
      operationId: beginConversationUpload
      responses:
        '200':
          description: signed upload url successfully generated
          content:
            application/json:
              schema:
                required:
                  - downloadUrl
                  - key
                  - url
                type: object
                properties:
                  url:
                    type: string
                    description: Signed URL for uploading the file
                  key:
                    type: string
                    description: Unique key identifier for the upload
                  downloadUrl:
                    type: string
                    description: URL to download the file after upload
            application/vnd.api+json:
              schema:
                required:
                  - downloadUrl
                  - key
                  - url
                type: object
                properties:
                  url:
                    type: string
                    description: Signed URL for uploading the file
                  key:
                    type: string
                    description: Unique key identifier for the upload
                  downloadUrl:
                    type: string
                    description: URL to download the file after upload
        '401':
          description: valid API key required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        id:
          type: string
          description: A unique identifier for the error.
        status:
          type: string
          description: >-
            The HTTP status code applicable to this problem, expressed as a
            string value.
        code:
          type: string
          description: An application-specific error code, expressed as a string value.
        title:
          type: string
          description: A short, human-readable summary of the problem.
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        source:
          type: object
          properties:
            pointer:
              type: string
            parameter:
              type: string
        meta:
          type: object
          properties: {}
      example:
        id: not_found_error
        status: '404'
        code: '404'
        title: Not Found Error
        detail: The requested resource was not found
        source:
          pointer: /data/attributes/id
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: Authorization
      in: header

````